osl::eval::ml::PawnAdvanceUtil Struct Reference

`#include <minorPiece.h>`

Inheritance diagram for osl::eval::ml::PawnAdvanceUtil:

## Static Public Member Functions

static int | index (Player P, Square pos)
static bool | cantAdvance (const NumEffectState &state, const Piece pawn)
static bool | cantAdvance (const NumEffectState &state, const PtypeO ptypeO, const Square position)

## Detailed Description

Definition at line 499 of file minorPiece.h.

## Member Function Documentation

## cantAdvance() [1/2]

bool osl::eval::ml::PawnAdvanceUtil::cantAdvance | ( | const NumEffectState & | state,
|  | const Piece | pawn )

inline static

Definition at line 505 of file minorPiece.h.

References cantAdvance(), osl::Piece::ptypeO(), and osl::Piece::square().

Referenced by cantAdvance(), osl::eval::ml::PawnAdvance::eval(), and osl::eval::ml::PawnAdvanceAll::evalWithUpdateBang().

## cantAdvance() [2/2]

bool osl::eval::ml::PawnAdvanceUtil::cantAdvance | ( | const NumEffectState & | state,
|  | const PtypeO | ptypeO,
|  | const Square | position )

inline static

Definition at line 509 of file minorPiece.h.

References osl::Board_Table, osl::getOwner(), osl::getPtype(), osl::Piece::isOnBoardByOwner(), osl::PAWN, osl::SimpleState::pieceAt(), and osl::U.

## index()

int osl::eval::ml::PawnAdvanceUtil::index | ( | Player | P,
|  | Square | pos )

inline static

Definition at line 501 of file minorPiece.h.

References osl::BLACK, and osl::Square::y().

Referenced by osl::eval::ml::PawnAdvanceAll::adjust(), osl::eval::ml::PawnAdvance::eval(), and osl::eval::ml::PawnAdvanceAll::evalWithUpdateBang().

The documentation for this struct was generated from the following file:

- minorPiece.h